
package com.ejie.m62fb.model.importar;

import java.io.Serializable;

/**
 * <p>Clase abstracta con los datos a mostrar al usuario cuando hay avisos y/o errores</p> 
XXXX
 *
 */
public class Feedback implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -198168815619602463L;
	//Tipo 0-->Aviso 1 -->Error
	protected int tipo;
	protected String tipoEs;
	protected String tipoEu;
	//Hoja del libro XLS
	protected String hoja;
	//Elemento de la hoja (Vivienda,Titular, Fecha...)
	protected String elemento;
	//Dato que contiene
	protected String dato;
	//Descripción del mensaje
	protected String descripcion;


	/**
	 * Constructor
	 * @param tipo
	 */
	public Feedback() {
		super();
	}
	/**
	 * Constructor
	 * @param tipo
	 */
	public Feedback(int tipo) {
		super();
		this.tipo = tipo;
	}
	
	public int getTipo() {
		return tipo;
	}
	public void setTipo(int tipo) {
		this.tipo = tipo;
	}
	public String getHoja() {
		return hoja;
	}
	public void setHoja(String hoja) {
		this.hoja = hoja;
	}
	public String getElemento() {
		return elemento;
	}
	public void setElemento(String elemento) {
		this.elemento = elemento;
	}
	public String getDato() {
		return dato;
	}
	public void setDato(String dato) {
		this.dato = dato;
	}
	public String getDescripcion() {
		return descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	public String getTipoEs() {
		return tipo==0?"Error":"Aviso";
	}
	public void setTipoEs(String tipoEs) {
		this.tipoEs = tipoEs;
	}
	public String getTipoEu() {
		return tipo==0?"Errorea":"Abisu";
	}
	public void setTipoEu(String tipoEu) {
		this.tipoEu = tipoEu;
	}
	
}
